Package x2go :: Package backends :: Package terminal :: Module _stdout

[frames] | no frames]

# Module _stdout

source code

X2GoTerminalSession class - core functions for handling your individual X2Go sessions.

This backend handles X2Go server implementations that respond with session infos via server-side STDOUT and use NX3 as graphical proxy.

Classes
| X2GoSessionParams The X2GoSessionParams class is used to store all parameters that `X2GoTerminalSession` backend objects are constructed with.
| X2GoTerminalSessionSTDOUT Class for managing X2Go terminal sessions on a remote X2Go server via Paramiko/SSH.

Variables
| __NAME__ = ``'``x2goterminalsession-pylib``'``
| __package__ = ``'``x2go.backends.terminal``'``